WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Just Map It!

Just Map It! for WordPress plugin is provided by Social Computing. It enables the visualization of your blog posts as an interactive map.

Requirements

  • WordPress 3.0 or higher
  • PHP 5.1.2 or higher
  • JSON API plugin

    This plugin depends on the JSON API Plugin available at http://wordpress.org/extend/plugins/json-api/ Please follow the installation steps of the that plugin and confirm that it is successfully enabled before trying to install this plugin.

Installation steps

  1. Put the jmi directory into [wordpress_dir]/wp-content/plugins/
  2. Go into the WordPress admin interface and activate the plugin
  3. Open the JSON API plugin configuration page and enable the JMI controller:
    • Go to the blog administration section.
    • Then click on the "Settings" button and on the "JSON API" entry.
    • In the controller list, click on the activation link below the "JMI" item.
  4. Open the Just Map It! configuration page and follow the instructions

Configuration

Go to the plugin configuration page : Admin -> Settings -> Just Map It!

Posts display

  • Height and width: dimensions of the map in pixels

  • Posts limit: Maximum number of posts to get from the blog to generate the map

  • Posts get method: Method used to get other posts from the one being read by the user

    • Last posts: Get last blog posts including the selected one
    • With same tags: Get blog posts containing the same tags as the selected one
  • Show map in posts : Should the related posts map be displayed at the bottom of blog posts ? It is enabled by default.

Advanced section

  • Server url: location of the Just Map It! server. The default value is: http://server.just-map-it.com

  • Map configuration name: The map configuration name passed to the server.

  • Login and password: authentication information to provide to access the blog rest service Only fill these field if the access to your blog is restricted (disabled by default)

Requires: 3.0 or higher
Compatible up to: 3.4.2
Last Updated: 2012-9-19
Downloads: 3,324

Ratings

4 stars
4 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,2,2 100,1,1
100,2,2
0,1,0